gstreamermm: Gst::TheoraEnc Class Reference

# Gst::TheoraEnc Class Reference
[gstreamermm Plugins]

Gst::TheoraEnc - theoraenc plugin. More...

`#include <theoraenc.h>`

Inheritance diagram for Gst::TheoraEnc:

List of all members.

## Public Member Functions
virtual | ~TheoraEnc ()
GstTheoraEnc* | gobj ()
| Provides access to the underlying C GObject.
const GstTheoraEnc* | gobj () const
| Provides access to the underlying C GObject.
GstTheoraEnc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy<bool> | property_center ()
| Center image when sizes not multiple of 16.
Glib::PropertyProxy_ReadOnly <bool> | property_center () const
| Center image when sizes not multiple of 16.
Glib::PropertyProxy <TheoraEncBorderMode> | property_border ()
| Border color to add when sizes not multiple of 16.
Glib::PropertyProxy_ReadOnly <TheoraEncBorderMode> | property_border () const
| Border color to add when sizes not multiple of 16.
Glib::PropertyProxy<int> | property_bitrate ()
| Compressed video bitrate (kbps).
Glib::PropertyProxy_ReadOnly<int> | property_bitrate () const
| Compressed video bitrate (kbps).
Glib::PropertyProxy<int> | property_quality ()
| Video quality.
Glib::PropertyProxy_ReadOnly<int> | property_quality () const
| Video quality.
Glib::PropertyProxy<bool> | property_quick ()
| Quick encoding.
Glib::PropertyProxy_ReadOnly <bool> | property_quick () const
| Quick encoding.
Glib::PropertyProxy<bool> | property_keyframe_auto ()
| Automatic keyframe detection.
Glib::PropertyProxy_ReadOnly <bool> | property_keyframe_auto () const
| Automatic keyframe detection.
Glib::PropertyProxy<int> | property_keyframe_freq ()
| Keyframe frequency.
Glib::PropertyProxy_ReadOnly<int> | property_keyframe_freq () const
| Keyframe frequency.
Glib::PropertyProxy<int> | property_keyframe_force ()
| Force keyframe every N frames.
Glib::PropertyProxy_ReadOnly<int> | property_keyframe_force () const
| Force keyframe every N frames.
Glib::PropertyProxy<int> | property_keyframe_threshold ()
| Keyframe threshold.
Glib::PropertyProxy_ReadOnly<int> | property_keyframe_threshold () const
| Keyframe threshold.
Glib::PropertyProxy<int> | property_keyframe_mindistance ()
| Keyframe mindistance.
Glib::PropertyProxy_ReadOnly<int> | property_keyframe_mindistance () const
| Keyframe mindistance.
Glib::PropertyProxy<int> | property_noise_sensitivity ()
| Noise sensitivity.
Glib::PropertyProxy_ReadOnly<int> | property_noise_sensitivity () const
| Noise sensitivity.
Glib::PropertyProxy<int> | property_sharpness ()
| Sharpness.
Glib::PropertyProxy_ReadOnly<int> | property_sharpness () const
| Sharpness.
## Static Public Member Functions
static Glib::RefPtr<TheoraEnc> | create ()
| Creates a new theoraenc plugin with a unique name.
static Glib::RefPtr<TheoraEnc> | create (const Glib::ustring& name)
| Creates a new theoraenc plugin with the given name.
## Protected Member Functions
| TheoraEnc ()
| TheoraEnc (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::TheoraEnc> | wrap (GstTheoraEnc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::TheoraEnc - theoraenc plugin.

Please include <gstreamermm/theoraenc.h> to use. Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems and the ones that aren't available are not included in the build.

## Constructor& Destructor Documentation

virtual Gst::TheoraEnc::~TheoraEnc | ( |  | ) | `[virtual]`

Gst::TheoraEnc::TheoraEnc | ( |  | ) | `[protected]`

Gst::TheoraEnc::TheoraEnc | ( | const Glib::ustring & | name | ) | `[protected]`

## Member Function Documentation

GstTheoraEnc* Gst::TheoraEnc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

const GstTheoraEnc* Gst::TheoraEnc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstTheoraEnc* Gst::TheoraEnc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

static Glib::RefPtr<TheoraEnc> Gst::TheoraEnc::create | ( |  | ) | `[static]`

Creates a new theoraenc plugin with a unique name.

static Glib::RefPtr<TheoraEnc> Gst::TheoraEnc::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new theoraenc plugin with the given name.

Glib::PropertyProxy<bool> Gst::TheoraEnc::property_center | ( |  | ) |

Center image when sizes not multiple of 16.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::TheoraEnc::property_center | ( |  | ) | const

Center image when sizes not multiple of 16.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<TheoraEncBorderMode> Gst::TheoraEnc::property_border | ( |  | ) |

Border color to add when sizes not multiple of 16.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<TheoraEncBorderMode> Gst::TheoraEnc::property_border | ( |  | ) | const

Border color to add when sizes not multiple of 16.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_bitrate | ( |  | ) |

Compressed video bitrate (kbps).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_bitrate | ( |  | ) | const

Compressed video bitrate (kbps).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_quality | ( |  | ) |

Video quality.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_quality | ( |  | ) | const

Video quality.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::TheoraEnc::property_quick | ( |  | ) |

Quick encoding.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::TheoraEnc::property_quick | ( |  | ) | const

Quick encoding.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::TheoraEnc::property_keyframe_auto | ( |  | ) |

Automatic keyframe detection.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::TheoraEnc::property_keyframe_auto | ( |  | ) | const

Automatic keyframe detection.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_keyframe_freq | ( |  | ) |

Keyframe frequency.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_keyframe_freq | ( |  | ) | const

Keyframe frequency.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_keyframe_force | ( |  | ) |

Force keyframe every N frames.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_keyframe_force | ( |  | ) | const

Force keyframe every N frames.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_keyframe_threshold | ( |  | ) |

Keyframe threshold.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_keyframe_threshold | ( |  | ) | const

Keyframe threshold.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_keyframe_mindistance | ( |  | ) |

Keyframe mindistance.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_keyframe_mindistance | ( |  | ) | const

Keyframe mindistance.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_noise_sensitivity | ( |  | ) |

Noise sensitivity.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_noise_sensitivity | ( |  | ) | const

Noise sensitivity.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_sharpness | ( |  | ) |

Sharpness.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_sharpness | ( |  | ) | const

Sharpness.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr<Gst::TheoraEnc> wrap | ( | GstTheoraEnc * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- theoraenc.h